WrappedQuery (Solr 3.6.2 API)
Keywords: org.apache.solr.search.WrappedQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class WrappedQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.solr.search.ExtendedQueryBase
              org.apache.solr.search.WrappedQuery

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedQuery

    public class WrappedQuery

extends ExtendedQueryBase

A simple query that wraps another query and implements ExtendedQuery.

See Also:
  Serialized Form

Constructor Summary
`WrappedQuery(Query q)`

Method Summary
`Object` | `clone()`
`Weight` | `createWeight(Searcher searcher)`
`boolean` | `equals(Object obj)`
`void` | `extractTerms(Set<Term> terms)`
`float` | `getBoost()`
`Query` | `getWrappedQuery()`
`int` | `hashCode()`
`Query` | `rewrite(IndexReader reader)`
`void` | `setBoost(float b)`
`void` | `setWrappedQuery(Query q)`
`String` | `toString(String field)`

Methods inherited from class org.apache.solr.search.ExtendedQueryBase
`getCache, getCacheSep, getCost, getOptions, setCache, setCacheSep, setCost`

Methods inherited from class org.apache.lucene.search.Query
`combine, getSimilarity, mergeBooleanQueries, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedQuery

    public WrappedQuery(Query q)

Method Detail

### getWrappedQuery

    public Query getWrappedQuery()

### setWrappedQuery

    public void setWrappedQuery(Query q)

### setBoost

    public void setBoost(float b)

  Overrides:
    `setBoost` in class `Query`

### getBoost

    public float getBoost()

  Overrides:
    `getBoost` in class `Query`

### createWeight

    public Weight createWeight(Searcher searcher)
                        throws IOException

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### extractTerms

    public void extractTerms(Set<Term> terms)

  Overrides:
    `extractTerms` in class `Query`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Query`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Query`

### toString

    public String toString(String field)

  Overrides:
    `toString` in class `ExtendedQueryBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD